import { stringify } from "querystring";
import { m as WEBAPP_URL } from "./index-Cw1zbw54.js";
import { g as getAppKeysFromSlug } from "./getAppKeysFromSlug-S62aYXii.js";
import { e as encodeOAuthState } from "./encodeOAuthState-ADe35aHB.js";
async function handler(req, res) {
  let clientId = "";
  const appKeys = await getAppKeysFromSlug("zohocrm");
  if (typeof appKeys.client_id === "string")
    clientId = appKeys.client_id;
  if (!clientId)
    return res.status(400).json({ message: "zohocrm client id missing." });
  const state = encodeOAuthState(req);
  const params = {
    client_id: clientId,
    response_type: "code",
    redirect_uri: `${WEBAPP_URL}/api/integrations/zohocrm/callback`,
    scope: ["ZohoCRM.modules.ALL", "ZohoCRM.users.READ", "AaaServer.profile.READ"],
    access_type: "offline",
    state,
    prompt: "consent"
  };
  const query = stringify(params);
  const url = `https://accounts.zoho.com/oauth/v2/auth?${query}`;
  res.status(200).json({ url });
}
export {
  handler as default
};
